/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.HolidayVillage: ImageVector
    get() {
        if (_holidayVillage != null) {
            return _holidayVillage!!
        }
        _holidayVillage = materialIcon(name = "Filled.HolidayVillage") {
            materialPath {
                moveTo(18.0f, 20.0f)
                verticalLineTo(8.35f)
                lineTo(13.65f, 4.0f)
                horizontalLineToRelative(-2.83f)
                lineTo(16.0f, 9.18f)
                verticalLineTo(20.0f)
                horizontalLineTo(18.0f)
                close()
                moveTo(22.0f, 20.0f)
                verticalLineTo(6.69f)
                lineTo(19.31f, 4.0f)
                horizontalLineToRelative(-2.83f)
                lineTo(20.0f, 7.52f)
                verticalLineTo(20.0f)
                horizontalLineTo(22.0f)
                close()
                moveTo(8.0f, 4.0f)
                lineToRelative(-6.0f, 6.0f)
                verticalLineToRelative(10.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(-5.0f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(5.0f)
                horizontalLineToRelative(5.0f)
                verticalLineTo(10.0f)
                lineTo(8.0f, 4.0f)
                close()
                moveTo(9.0f, 13.0f)
                horizontalLineTo(7.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineToRelative(2.0f)
                verticalLineTo(13.0f)
                close()
            }
        }
        return _holidayVillage!!
    }

private var _holidayVillage: ImageVector? = null
