/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.SignalWifi0Bar: ImageVector
    get() {
        if (_signalWifi0Bar != null) {
            return _signalWifi0Bar!!
        }
        _signalWifi0Bar = materialIcon(name = "Filled.SignalWifi0Bar") {
            materialPath {
                moveTo(12.0f, 6.0f)
                lineTo(12.0f, 6.0f)
                curveToRelative(3.33f, 0.0f, 6.49f, 1.08f, 9.08f, 3.07f)
                lineTo(12.0f, 18.17f)
                lineToRelative(-9.08f, -9.1f)
                curveTo(5.51f, 7.08f, 8.67f, 6.0f, 12.0f, 6.0f)
                moveTo(12.0f, 4.0f)
                curveTo(7.31f, 4.0f, 3.07f, 5.9f, 0.0f, 8.98f)
                lineTo(12.0f, 21.0f)
                lineTo(24.0f, 8.98f)
                curveTo(20.93f, 5.9f, 16.69f, 4.0f, 12.0f, 4.0f)
                lineTo(12.0f, 4.0f)
                close()
            }
        }
        return _signalWifi0Bar!!
    }

private var _signalWifi0Bar: ImageVector? = null
