/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.WifiCalling3: ImageVector
    get() {
        if (_wifiCalling3 != null) {
            return _wifiCalling3!!
        }
        _wifiCalling3 = materialIcon(name = "Filled.WifiCalling3") {
            materialPath {
                moveTo(16.49f, 3.0f)
                curveToRelative(-2.21f, 0.0f, -4.21f, 0.9f, -5.66f, 2.34f)
                lineToRelative(1.06f, 1.06f)
                curveToRelative(1.18f, -1.18f, 2.8f, -1.91f, 4.59f, -1.91f)
                reflectiveCurveToRelative(3.42f, 0.73f, 4.59f, 1.91f)
                lineToRelative(1.06f, -1.06f)
                curveTo(20.7f, 3.9f, 18.7f, 3.0f, 16.49f, 3.0f)
                close()
            }
            materialPath {
                moveTo(20.03f, 7.46f)
                curveTo(19.12f, 6.56f, 17.87f, 6.0f, 16.49f, 6.0f)
                reflectiveCurveToRelative(-2.63f, 0.56f, -3.54f, 1.46f)
                lineToRelative(1.06f, 1.06f)
                curveToRelative(0.63f, -0.63f, 1.51f, -1.03f, 2.47f, -1.03f)
                reflectiveCurveToRelative(1.84f, 0.39f, 2.47f, 1.03f)
                lineTo(20.03f, 7.46f)
                close()
            }
            materialPath {
                moveTo(15.08f, 9.59f)
                lineTo(16.49f, 11.0f)
                lineToRelative(1.41f, -1.41f)
                curveTo(17.54f, 9.22f, 17.04f, 9.0f, 16.49f, 9.0f)
                reflectiveCurveTo(15.44f, 9.22f, 15.08f, 9.59f)
                close()
            }
            materialPath {
                moveTo(15.63f, 14.4f)
                lineToRelative(-2.52f, 2.5f)
                curveToRelative(-2.5f, -1.43f, -4.57f, -3.5f, -6.0f, -6.0f)
                lineToRelative(2.5f, -2.52f)
                curveToRelative(0.23f, -0.24f, 0.33f, -0.57f, 0.27f, -0.9f)
                lineTo(9.13f, 3.8f)
                curveTo(9.04f, 3.34f, 8.63f, 3.0f, 8.15f, 3.0f)
                lineTo(4.0f, 3.0f)
                curveTo(3.44f, 3.0f, 2.97f, 3.47f, 3.0f, 4.03f)
                curveTo(3.17f, 6.92f, 4.05f, 9.63f, 5.43f, 12.0f)
                curveToRelative(1.58f, 2.73f, 3.85f, 4.99f, 6.57f, 6.57f)
                curveToRelative(2.37f, 1.37f, 5.08f, 2.26f, 7.97f, 2.43f)
                curveToRelative(0.56f, 0.03f, 1.03f, -0.44f, 1.03f, -1.0f)
                lineToRelative(0.0f, -4.15f)
                curveToRelative(0.0f, -0.48f, -0.34f, -0.89f, -0.8f, -0.98f)
                lineToRelative(-3.67f, -0.73f)
                curveTo(16.2f, 14.07f, 15.86f, 14.17f, 15.63f, 14.4f)
                close()
            }
        }
        return _wifiCalling3!!
    }

private var _wifiCalling3: ImageVector? = null
