/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Rounded._3k: ImageVector
    get() {
        if (__3k != null) {
            return __3k!!
        }
        __3k = materialIcon(name = "Rounded._3k") {
            materialPath {
                moveTo(19.0f, 3.0f)
                horizontalLineTo(5.0f)
                curveTo(3.9f, 3.0f, 3.0f, 3.9f, 3.0f, 5.0f)
                verticalLineToRelative(14.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(14.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(5.0f)
                curveTo(21.0f, 3.9f, 20.1f, 3.0f, 19.0f, 3.0f)
                close()
                moveTo(11.0f, 14.0f)
                curveToRelative(0.0f, 0.55f, -0.45f, 1.0f, -1.0f, 1.0f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, -0.34f, -0.75f, -0.75f)
                verticalLineToRelative(0.0f)
                curveToRelative(0.0f, -0.41f, 0.34f, -0.75f, 0.75f, -0.75f)
                horizontalLineTo(9.5f)
                verticalLineToRelative(-1.0f)
                horizontalLineTo(8.0f)
                curveToRelative(-0.28f, 0.0f, -0.5f, -0.22f, -0.5f, -0.5f)
                verticalLineToRelative(0.0f)
                curveToRelative(0.0f, -0.28f, 0.22f, -0.5f, 0.5f, -0.5f)
                horizontalLineToRelative(1.5f)
                verticalLineToRelative(-1.0f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, -0.34f, -0.75f, -0.75f)
                verticalLineToRelative(0.0f)
                curveTo(6.5f, 9.34f, 6.84f, 9.0f, 7.25f, 9.0f)
                horizontalLineTo(10.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, 0.45f, 1.0f, 1.0f)
                verticalLineTo(14.0f)
                close()
                moveTo(16.59f, 15.0f)
                lineTo(16.59f, 15.0f)
                curveToRelative(-0.22f, 0.0f, -0.42f, -0.1f, -0.55f, -0.27f)
                lineToRelative(-1.54f, -1.98f)
                verticalLineToRelative(1.5f)
                curveToRelative(0.0f, 0.41f, -0.34f, 0.75f, -0.75f, 0.75f)
                horizontalLineToRelative(0.0f)
                curveTo(13.34f, 15.0f, 13.0f, 14.66f, 13.0f, 14.25f)
                verticalLineToRelative(-4.5f)
                curveTo(13.0f, 9.34f, 13.34f, 9.0f, 13.75f, 9.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.41f, 0.0f, 0.75f, 0.34f, 0.75f, 0.75f)
                verticalLineToRelative(1.5f)
                lineToRelative(1.54f, -1.98f)
                curveTo(16.17f, 9.1f, 16.38f, 9.0f, 16.59f, 9.0f)
                lineToRelative(0.0f, 0.0f)
                curveToRelative(0.58f, 0.0f, 0.91f, 0.66f, 0.56f, 1.12f)
                lineTo(15.75f, 12.0f)
                lineToRelative(1.41f, 1.88f)
                curveTo(17.5f, 14.34f, 17.17f, 15.0f, 16.59f, 15.0f)
                close()
            }
        }
        return __3k!!
    }

private var __3k: ImageVector? = null
