/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.StayPrimaryPortrait: ImageVector
    get() {
        if (_stayPrimaryPortrait != null) {
            return _stayPrimaryPortrait!!
        }
        _stayPrimaryPortrait = materialIcon(name = "Sharp.StayPrimaryPortrait") {
            materialPath {
                moveTo(5.01f, 1.0f)
                verticalLineToRelative(22.0f)
                horizontalLineTo(19.0f)
                verticalLineTo(1.0f)
                horizontalLineTo(5.01f)
                close()
                moveTo(17.0f, 19.0f)
                horizontalLineTo(7.0f)
                verticalLineTo(5.0f)
                horizontalLineToRelative(10.0f)
                verticalLineToRelative(14.0f)
                close()
            }
        }
        return _stayPrimaryPortrait!!
    }

private var _stayPrimaryPortrait: ImageVector? = null
