/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Dehaze: ImageVector
    get() {
        if (_dehaze != null) {
            return _dehaze!!
        }
        _dehaze = materialIcon(name = "TwoTone.Dehaze") {
            materialPath {
                moveTo(2.0f, 16.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(20.0f)
                verticalLineToRelative(-2.0f)
                lineTo(2.0f, 16.0f)
                close()
                moveTo(2.0f, 11.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(20.0f)
                verticalLineToRelative(-2.0f)
                lineTo(2.0f, 11.0f)
                close()
                moveTo(2.0f, 6.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(20.0f)
                lineTo(22.0f, 6.0f)
                lineTo(2.0f, 6.0f)
                close()
            }
        }
        return _dehaze!!
    }

private var _dehaze: ImageVector? = null
