/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.Elevator: ImageVector
    get() {
        if (_elevator != null) {
            return _elevator!!
        }
        _elevator = materialIcon(name = "TwoTone.Elevator") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(19.0f, 5.0f)
                verticalLineToRelative(14.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(5.0f)
                horizontalLineTo(19.0f)
                moveTo(10.0f, 18.0f)
                verticalLineToRelative(-4.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(-2.5f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                horizontalLineTo(8.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, 0.9f, -2.0f, 2.0f)
                verticalLineTo(14.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(4.0f)
                horizontalLineTo(10.0f)
                close()
                moveTo(8.5f, 8.5f)
                curveToRelative(0.69f, 0.0f, 1.25f, -0.56f, 1.25f, -1.25f)
                reflectiveCurveTo(9.19f, 6.0f, 8.5f, 6.0f)
                reflectiveCurveTo(7.25f, 6.56f, 7.25f, 7.25f)
                reflectiveCurveTo(7.81f, 8.5f, 8.5f, 8.5f)
                close()
                moveTo(18.0f, 11.0f)
                lineToRelative(-2.5f, -4.0f)
                lineTo(13.0f, 11.0f)
                horizontalLineTo(18.0f)
                close()
                moveTo(13.0f, 13.0f)
                lineToRelative(2.5f, 4.0f)
                lineToRelative(2.5f, -4.0f)
                horizontalLineTo(13.0f)
                close()
            }
            materialPath {
                moveTo(19.0f, 5.0f)
                verticalLineToRelative(14.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(5.0f)
                horizontalLineTo(19.0f)
                moveTo(19.0f, 3.0f)
                horizontalLineTo(5.0f)
                curveTo(3.9f, 3.0f, 3.0f, 3.9f, 3.0f, 5.0f)
                verticalLineToRelative(14.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(14.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(5.0f)
                curveTo(21.0f, 3.9f, 20.1f, 3.0f, 19.0f, 3.0f)
                lineTo(19.0f, 3.0f)
                close()
                moveTo(10.0f, 18.0f)
                verticalLineToRelative(-4.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(-2.5f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                horizontalLineTo(8.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, 0.9f, -2.0f, 2.0f)
                verticalLineTo(14.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(4.0f)
                horizontalLineTo(10.0f)
                close()
                moveTo(8.5f, 8.5f)
                curveToRelative(0.69f, 0.0f, 1.25f, -0.56f, 1.25f, -1.25f)
                reflectiveCurveTo(9.19f, 6.0f, 8.5f, 6.0f)
                reflectiveCurveTo(7.25f, 6.56f, 7.25f, 7.25f)
                reflectiveCurveTo(7.81f, 8.5f, 8.5f, 8.5f)
                close()
                moveTo(18.0f, 11.0f)
                lineToRelative(-2.5f, -4.0f)
                lineTo(13.0f, 11.0f)
                horizontalLineTo(18.0f)
                close()
                moveTo(13.0f, 13.0f)
                lineToRelative(2.5f, 4.0f)
                lineToRelative(2.5f, -4.0f)
                horizontalLineTo(13.0f)
                close()
            }
        }
        return _elevator!!
    }

private var _elevator: ImageVector? = null
