/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.FoodBank: ImageVector
    get() {
        if (_foodBank != null) {
            return _foodBank!!
        }
        _foodBank = materialIcon(name = "TwoTone.FoodBank") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(12.0f, 5.5f)
                lineToRelative(6.0f, 4.5f)
                verticalLineToRelative(9.0f)
                horizontalLineTo(6.0f)
                verticalLineToRelative(-9.0f)
                lineTo(12.0f, 5.5f)
                moveTo(11.5f, 9.5f)
                verticalLineToRelative(3.0f)
                horizontalLineTo(11.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(3.0f)
                horizontalLineTo(9.5f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(3.0f)
                curveToRelative(0.0f, 0.83f, 0.67f, 1.5f, 1.5f, 1.5f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, -0.67f, 1.5f, -1.5f)
                verticalLineToRelative(-3.0f)
                horizontalLineTo(11.5f)
                close()
                moveTo(13.0f, 11.5f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(18.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(9.5f)
                curveTo(13.9f, 9.5f, 13.0f, 10.4f, 13.0f, 11.5f)
                close()
            }
            materialPath {
                moveTo(12.0f, 5.5f)
                lineToRelative(6.0f, 4.5f)
                verticalLineToRelative(9.0f)
                horizontalLineTo(6.0f)
                verticalLineToRelative(-9.0f)
                lineTo(12.0f, 5.5f)
                moveTo(12.0f, 3.0f)
                lineTo(4.0f, 9.0f)
                verticalLineToRelative(12.0f)
                horizontalLineToRelative(16.0f)
                verticalLineTo(9.0f)
                lineTo(12.0f, 3.0f)
                lineTo(12.0f, 3.0f)
                close()
                moveTo(11.5f, 9.5f)
                verticalLineToRelative(3.0f)
                horizontalLineTo(11.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(3.0f)
                horizontalLineTo(9.5f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(3.0f)
                curveToRelative(0.0f, 0.83f, 0.67f, 1.5f, 1.5f, 1.5f)
                verticalLineToRelative(4.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(-4.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, -0.67f, 1.5f, -1.5f)
                verticalLineToRelative(-3.0f)
                horizontalLineTo(11.5f)
                close()
                moveTo(13.0f, 11.5f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(18.0f)
                horizontalLineToRelative(1.0f)
                verticalLineTo(9.5f)
                curveTo(13.9f, 9.5f, 13.0f, 10.4f, 13.0f, 11.5f)
                close()
            }
        }
        return _foodBank!!
    }

private var _foodBank: ImageVector? = null
