/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.SettingsBrightness: ImageVector
    get() {
        if (_settingsBrightness != null) {
            return _settingsBrightness!!
        }
        _settingsBrightness = materialIcon(name = "TwoTone.SettingsBrightness") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(3.0f, 19.01f)
                horizontalLineToRelative(18.0f)
                lineTo(21.0f, 4.99f)
                lineTo(3.0f, 4.99f)
                verticalLineToRelative(14.02f)
                close()
                moveTo(8.0f, 10.5f)
                lineTo(8.0f, 8.0f)
                horizontalLineToRelative(2.5f)
                lineTo(12.0f, 6.5f)
                lineTo(13.5f, 8.0f)
                lineTo(16.0f, 8.0f)
                verticalLineToRelative(2.5f)
                lineToRelative(1.5f, 1.5f)
                lineToRelative(-1.5f, 1.5f)
                lineTo(16.0f, 16.0f)
                horizontalLineToRelative(-2.5f)
                lineTo(12.0f, 17.5f)
                lineTo(10.5f, 16.0f)
                lineTo(8.0f, 16.0f)
                verticalLineToRelative(-2.5f)
                lineTo(6.5f, 12.0f)
                lineTo(8.0f, 10.5f)
                close()
            }
            materialPath {
                moveTo(8.0f, 16.0f)
                horizontalLineToRelative(2.5f)
                lineToRelative(1.5f, 1.5f)
                lineToRelative(1.5f, -1.5f)
                lineTo(16.0f, 16.0f)
                verticalLineToRelative(-2.5f)
                lineToRelative(1.5f, -1.5f)
                lineToRelative(-1.5f, -1.5f)
                lineTo(16.0f, 8.0f)
                horizontalLineToRelative(-2.5f)
                lineTo(12.0f, 6.5f)
                lineTo(10.5f, 8.0f)
                lineTo(8.0f, 8.0f)
                verticalLineToRelative(2.5f)
                lineTo(6.5f, 12.0f)
                lineTo(8.0f, 13.5f)
                lineTo(8.0f, 16.0f)
                close()
                moveTo(12.0f, 9.0f)
                curveToRelative(1.66f, 0.0f, 3.0f, 1.34f, 3.0f, 3.0f)
                reflectiveCurveToRelative(-1.34f, 3.0f, -3.0f, 3.0f)
                lineTo(12.0f, 9.0f)
                close()
                moveTo(21.0f, 3.0f)
                lineTo(3.0f, 3.0f)
                curveToRelative(-1.1f, 0.0f, -2.0f, 0.9f, -2.0f, 2.0f)
                verticalLineToRelative(14.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(18.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                lineTo(23.0f, 5.0f)
                curveToRelative(0.0f, -1.1f, -0.9f, -2.0f, -2.0f, -2.0f)
                close()
                moveTo(21.0f, 19.01f)
                lineTo(3.0f, 19.01f)
                lineTo(3.0f, 4.99f)
                horizontalLineToRelative(18.0f)
                verticalLineToRelative(14.02f)
                close()
            }
        }
        return _settingsBrightness!!
    }

private var _settingsBrightness: ImageVector? = null
