/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone.TableBar: ImageVector
    get() {
        if (_tableBar != null) {
            return _tableBar!!
        }
        _tableBar = materialIcon(name = "TwoTone.TableBar") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(4.28f, 7.5f)
                arcToRelative(7.72f, 1.5f, 0.0f, true, false, 15.44f, 0.0f)
                arcToRelative(7.72f, 1.5f, 0.0f, true, false, -15.44f, 0.0f)
                close()
            }
            materialPath {
                moveTo(22.0f, 7.5f)
                curveTo(22.0f, 5.57f, 17.52f, 4.0f, 12.0f, 4.0f)
                reflectiveCurveTo(2.0f, 5.57f, 2.0f, 7.5f)
                curveToRelative(0.0f, 1.81f, 3.95f, 3.31f, 9.0f, 3.48f)
                verticalLineTo(15.0f)
                horizontalLineTo(9.35f)
                curveToRelative(-0.82f, 0.0f, -1.55f, 0.5f, -1.86f, 1.26f)
                lineTo(6.0f, 20.0f)
                horizontalLineToRelative(2.0f)
                lineToRelative(1.2f, -3.0f)
                horizontalLineToRelative(5.6f)
                lineToRelative(1.2f, 3.0f)
                horizontalLineToRelative(2.0f)
                lineToRelative(-1.5f, -3.74f)
                curveTo(16.2f, 15.5f, 15.46f, 15.0f, 14.65f, 15.0f)
                horizontalLineTo(13.0f)
                verticalLineToRelative(-4.02f)
                curveTo(18.05f, 10.81f, 22.0f, 9.31f, 22.0f, 7.5f)
                close()
                moveTo(12.0f, 9.0f)
                curveTo(7.95f, 9.0f, 5.26f, 8.14f, 4.28f, 7.5f)
                curveTo(5.26f, 6.86f, 7.95f, 6.0f, 12.0f, 6.0f)
                reflectiveCurveToRelative(6.74f, 0.86f, 7.72f, 1.5f)
                curveTo(18.74f, 8.14f, 16.05f, 9.0f, 12.0f, 9.0f)
                close()
            }
        }
        return _tableBar!!
    }

private var _tableBar: ImageVector? = null
